//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Text;
namespace Testing
{
	class StringMain
	{
		static void Main(string[] args)
		{
			string s = "To jest test";
			foreach(char c in s)
			{
				Console.WriteLine("Znak: {0}", c);
			}
			for(int i = 0; i < s.Length; i++)
			{
				Console.WriteLine("Znak: {0}", s[i]);
			}
			foreach(string sub in s.Split())
			{
				Console.WriteLine("Słowo: {0}", sub);
			}
			string us = s.ToUpper();
			Console.WriteLine(us);
			string ls = s.ToLower();
			Console.WriteLine(ls);
			string ins = s.Insert(s.IndexOf("test"), "nowy ");
			Console.WriteLine(ins);
			string rs = s.Replace("a", "kolejny");
			Console.WriteLine(rs);
			string ss = s.Substring(s.IndexOf("a"), 6);
			Console.WriteLine(ss);

			string astr = "To jest";
			string bstr = " test";
			string cstr = astr + bstr;
			Console.WriteLine(cstr);
			StringBuilder sb = new StringBuilder();
			sb.Append(astr);
			sb.Append(bstr);
			Console.WriteLine(sb);
		}
	}
}
